Bug 753364 - Please upgrade nautilus-python to 1.1
Please upgrade nautilus-python to 1.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nautilus-python (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Patrick Dignan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 787293
  Show dependency treegraph
 
Reported: 2011-11-11 20:02 EST by Łukasz Jernaś
Modified: 2012-02-28 05:52 EST (History)
1 user (show)

See Also:
Fixed In Version: nautilus-python-1.1-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-20 20:27:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to update the RPM package to 1.1 (15.81 KB, patch)
2011-11-12 08:14 EST, Łukasz Jernaś
no flags Details | Diff

  None (edit)
Description Łukasz Jernaś 2011-11-11 20:02:46 EST
Description of problem:

Current version tries to run GObject 2.x instead of 3.x ending up in
Initializing nautilus-gdu extension
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gi/__init__.py", line 23, in <module>
    from ._gi import _API, Repository
ImportError: could not import gobject (error was: ImportError('When using gi.repository you must not import static modules like "gobject". Please change all occurrences of "import gobject" to "from gi.repository import GObject".',))

(nautilus:23417): Nautilus-Python-WARNING **: nautilus_python_init_python failed
Traceback (most recent call last):
  File "/home/deejay1/.local/share/nautilus-python/extensions/testext.py", line 1, in <module>
    from gi.repository import Nautilus, GObject
  File "/usr/lib64/python2.7/site-packages/gi/__init__.py", line 23, in <module>
    from ._gi import _API, Repository
ImportError: cannot import name _API


Version-Release number of selected component (if applicable):
1.0.0-1.f16

How reproducible:
Every time

Steps to Reproduce:
1.Place the sample script from http://projects.gnome.org/nautilus-python/documentation/html/nautilus-python-overview-example.html#id2684063 into .local/share/nautilus-python/extensions/
2.Run Nautilus from the console
3.
  
Actual results:
Plugin doesn't run

Expected results:
Python plugins work and don't report any errors

Additional info:
Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=660348
Ubuntu bug: https://bugs.launchpad.net/ubuntu/oneiric/+source/nautilus-python/+bug/858925

Changelog for 1.1 release:
    - Added pygobject3 compatibility.  Retained pygobject 2.28.x compatibility.
        Updated extension examples to support pygobject3.
    - Fixed bug #660290. Updated the FSF address
    - Fixed bug #660288. Fix autogen warnings with additional macro ACLOCAL_AMFLAGS
    - Fixed bug #660287. Make the docdir not hard-coded
    - Fixed bug #660286. Fixes m4 underquoting warning
    - Fixed bug #660283. Fixes html docs installation issue
    - Fixed bug #653169. Upated the COPYING file with the most recent GPLv2 license
Comment 1 Łukasz Jernaś 2011-11-12 08:14:00 EST
Created attachment 533244 [details]
Patch to update the RPM package to 1.1

$ fedpkg --dist f16 lint
10 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Fedora Update System 2012-02-08 09:52:00 EST
nautilus-python-1.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nautilus-python-1.1-1.fc16
Comment 3 Fedora Update System 2012-02-08 17:53:50 EST
Package nautilus-python-1.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nautilus-python-1.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1454/nautilus-python-1.1-1.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-02-16 04:13:34 EST
nautilus-python-1.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nautilus-python-1.1-2.fc16
Comment 5 Fedora Update System 2012-02-20 10:42:33 EST
nautilus-python-1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nautilus-python-1.1-2.fc17
Comment 6 Fedora Update System 2012-02-20 20:27:14 EST
nautilus-python-1.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-02-28 05:52:14 EST
nautilus-python-1.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.